<?php
/**
* @version $Id: jsmyjspace.php $
* @version		2.0.0 21/09/2012
* @package		plg_jsmyjspace
* @author       Bernard Saulm
* @copyright	Copyright (C) 2011-2012 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined( '_JEXEC' ) or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once( JPATH_SITE . DS . 'components' . DS . 'com_community' . DS . 'libraries' . DS . 'core.php');

class plgCommunityJSMyjspace extends CApplications
{
	var $name   = 'JSMyjspace';
	var $_name  = 'JSMyjspace';
	
	function plgCommunityJSMyjspace(& $subject, $config)
    {
  		parent::__construct($subject, $config);
		$this->loadLanguage( 'plg_community_jsmyjspace', JPATH_ADMINISTRATOR );
	}
	
	function onProfileDisplay()
	{
		$return = '';
		$title = null;
		$content = null;

		$user = CFactory::getRequestUser();

		$print_choice = $this->params->get('print_choice',0);
		$print_tab = $this->params->get('print_tab',0);
		$plg_name_change = $this->params->get('plg_name_change',1);
		$plg_name = $this->params->get('plg_name','MyJspace');
		$plg_label_pages = $this->params->get('plg_label_pages','Pages');

		if (file_exists(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php')) {
			// Plugin name - display - update
			if ($plg_name_change == 1)
				$this->plugin_ckeck_update_name($plg_name);

			// Load the profile data from the database.
			require_once JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php';

			// Personnal page user info
			list($list_page_tab, $url) = BSHelperUser::GetUserUrl($user->id);
			$nb_page = count($list_page_tab);
			$return = '';	

			if ($nb_page > 1) {
				$return = '<a href="'.$url.'">'.$plg_label_pages.'</a>';
			} else if ($nb_page == 1) {
				if ( $print_choice == 0 )
					$return = '<a href="'.$url.'">'.$list_page_tab[0]['pagename'].'</a>';

				$id = $list_page_tab[0]['id'];
				if ( $print_choice == 1 && ($content = BSHelperUser::mjsp_exist_page_content($id, 0)) != null )
					$return = $content;
			} 

			if ( $print_tab == 1 && !($return))
				$return = '<br />';

		}
				
		return $return;
	}
	
	// Workaround until Jomsocial API allow to change the name displayed
	function plugin_ckeck_update_name($plg_name = 'MyJspace') {
		$plg_name = substr($plg_name,0,100);
		
		if ( version_compare(JVERSION,'1.6.0','ge') )
			$query = "SELECT `name` FROM `#__extensions` WHERE `type` = 'plugin' AND `element` = 'jsmyjspace' AND `folder` = 'community'";
		else
			$query = "SELECT `name` FROM `#__plugins` WHERE `element` = 'jsmyjspace' AND `folder` = 'community'";
	  	$db	= JFactory::getDBO();
		$db->setQuery($query, null, 1);
		$name = $db->loadResult();
		
		if ($name != $plg_name && $name != '') {
			if ( version_compare(JVERSION,'1.6.0','ge') )
				$query = "UPDATE `#__extensions` SET `name` = ".$db->Quote($plg_name)." WHERE `type` = 'plugin' AND `element` = 'jsmyjspace' AND `folder` = 'community'";
			else
				$query = "UPDATE `#__plugins` SET `name` = ".$db->Quote($plg_name)." WHERE `element` = 'jsmyjspace' AND `folder` = 'community'";
			$db->setQuery($query);
			$db->query();
		}
	}

}
?>
